# $Revision: 1.4 $, $Date: 2007/01/22 21:33:12 $
%define	_lang	en
%define	_reg	GB
%define	_lare	%{_lang}-%{_reg}
Summary:	British resources for SeaMonkey
Summary(pl):	Brytyjskie pliki jzykowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	de036fa5eaf9649197d04f7c5c25cf2c
Source1:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
British resources for SeaMonkey.

%description -l pl
Brytyjskie pliki jzykowe dla SeaMonkeya.

%prep
%setup -q -c
install %{SOURCE1} .
./gen-installed-chrome.sh locale bin/chrome/{%{_lare},%{_lare}-unix}.jar \
	> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install bin/chrome/{%{_lare},%{_lare}-unix}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lare}-unix.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-en.spec,v $
Revision 1.4  2007/01/22 21:33:12  hawk
- updated to 1.1

Revision 1.3  2006/07/31 15:19:05  sparky
- use macros
- i think this one should be called 'seamonkey-reg-GB.spec'

Revision 1.2  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.1  2006/04/16 18:54:53  sparky
- NEW, builds and works
